Endusers 6 endpoints

GET /v1/endusers/{userId}

Get an end user by id.

operationId: EndUsers_getUserById

Parameters

Name In Required Type Description
userId path required string

The end user id

Responses

200

The end user

400

Invalid value for: path parameter userId, Invalid value extracted from request context

404

An entity in this request could not be found

500

Internal failure during request processing

GET /v1/endusers/{userId}
PATCH /v1/endusers/{userId}

Patch an end user.

operationId: EndUsers_updateUser

Parameters

Name In Required Type Description
userId path required string

The end user id to be patched

Request Body

required

The end user patch

application/json
schema PatchEndUserInput
Property Type Required
email string optional
lastName string optional
avatarUrl string optional
firstName string optional
externalId string optional
displayName string optional
middleNames array optional
phoneNumber string optional
additionalEmails array optional
additionalPhoneNumbers array optional

Responses

200

The patched end user

400

Invalid value for: path parameter userId, Invalid value extracted from request context, Invalid value for: body, Validation failure during update

404

An entity in this request could not be found

500

Internal failure during request processing

PATCH /v1/endusers/{userId}
PUT /v1/endusers/{userId}

Update an end user.

operationId: EndUsers_updateUserById

Parameters

Name In Required Type Description
userId path required string

The end user id

Request Body

required

The updated details for an end user

application/json
schema UpdateEndUserInput
Property Type Required
email string optional
lastName string optional
avatarUrl string optional
firstName string optional
externalId string optional
displayName string required
middleNames array optional
phoneNumber string optional
additionalEmails array optional
additionalPhoneNumbers array optional

Responses

200

The updated end user

400

Invalid value for: path parameter userId, Invalid value extracted from request context, Invalid value for: body, Validation failure during update

404

An entity in this request could not be found

500

Internal failure during request processing

PUT /v1/endusers/{userId}
PATCH /v1/endusers/{userId}/anonymize

Request the anonymization of an end user.

operationId: EndUsers_anonymizeUser

Parameters

Name In Required Type Description
userId path required string

The id of the end user to anonymize

force query optional boolean

Whether to force close all the conversations initiated by the end user, if any are found in a non closed state.

Responses

202

The end user’s anonymization request status

400
404
409
500
PATCH /v1/endusers/{userId}/anonymize
GET /v1/endusers/{userId}/conversations

Lists conversations requested by an end user.
Note: Custom attributes are not part of the response at this point. If you need to get custom attributes for a conversation use the GET /conversations/{conversationId} endpoint

operationId: EndUsers_listConversations

Parameters

Name In Required Type Description
userId path required string
pageLimit query optional integer

Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

pageKey query optional string

Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

Responses

200

The list of conversations requested by an EndUser

400

Invalid value for: path parameter userId, Invalid value extracted from request context, Invalid value for: query parameter pageLimit, Invalid value for: query parameter pageKey

404

An entity in this request could not be found

500

Internal failure during request processing

GET /v1/endusers/{userId}/conversations
PATCH /v1/endusers/{userId}/custom-attributes

Patch custom attributes of an end user

operationId: EndUsers_updateCustomAttributes

Parameters

Name In Required Type Description
userId path required string

Request Body

required

The custom attributes of an end user to be patched. This should map the custom attribute id to the desired attribute value. Format: Map[UUID, Option[AttributeValue].

application/json
schema Map_UUID_Option_AttributeValue

Responses

200

The patched end user attributes

400

Invalid value for: path parameter userId, Invalid value extracted from request context, Invalid value for: body, Invalid input for patching

401

The user who issued the access token used in the request is not authorized to perform the operation

404

An entity in this request could not be found

PATCH /v1/endusers/{userId}/custom-attributes

Queues 6 endpoints

GET /v1/queues

List all queues in an organization.

operationId: Queues_listAll

Responses

200

The list of queues in an organization

400

Invalid value extracted from request context

500

Internal failure during request processing

GET /v1/queues
POST /v1/queues

Create a queue.

operationId: Queues_createQueue

Request Body

required

The details for creating a queue

application/json
schema CreateQueueInput
Property Type Required
request object required
name string required
priority integer optional
isDefault boolean required
offerTimeout integer optional
wrapupTimeout integer optional
offerAlgorithm string optional
queueThresholds object optional
callFunctionality boolean required
doNotOfferTimeouts object optional
isDoNotOfferEnabled boolean required
preferredAgentTimeouts object optional
isPreferredAgentEnabled boolean optional
offerAbandonedConversations boolean optional
personalAgentOfflineTimeout integer optional
preferredAgentOfflineTimeout integer optional

Responses

201

The created queue

400

Invalid value extracted from request context, Invalid value for: body

500

Internal failure during request processing

POST /v1/queues
GET /v1/queues/{queueId}

Get a queue by id.

operationId: Queues_getById

Parameters

Name In Required Type Description
queueId path required string

Responses

200

The queue

400

Invalid value for: path parameter queueId, Invalid value extracted from request context

404

An entity in this request could not be found

500

Internal failure during request processing

GET /v1/queues/{queueId}
DELETE /v1/queues/{queueId}/members

Bulk remove agents/admins from the specified queue.

operationId: Queues_removeMembersBulk

Parameters

Name In Required Type Description
queueId path required string

Request Body

required

The list of agents/admins to be removed from the queue. Up to 10 members can be specified.

application/json
schema BulkQueueEndpointInput
Property Type Required
agentIds array optional

Responses

204

The bulk operation succeeded

400

Invalid value for: path parameter queueId, Invalid value extracted from request context, Invalid value for: body

404

An entity in this request could not be found

500

Internal failure during request processing

DELETE /v1/queues/{queueId}/members
GET /v1/queues/{queueId}/members

List all agents/admins that are members of a queue by providing the queue id.

operationId: Queues_listMembers

Parameters

Name In Required Type Description
queueId path required string

Responses

200

List of the agents/admins that are members of a queue

400

Invalid value for: path parameter queueId, Invalid value extracted from request context

404

An entity in this request could not be found

500

Internal failure during request processing

GET /v1/queues/{queueId}/members
PATCH /v1/queues/{queueId}/members

Assign one or more agents/admins to a given queue.

operationId: Queues_assignMembers

Parameters

Name In Required Type Description
queueId path required string

Request Body

required

The list of agents/admins to be added to the queue

application/json
schema BulkQueueEndpointInput
Property Type Required
agentIds array optional

Responses

200

The list of patch action outcomes

400

Invalid value for: path parameter queueId, Invalid value extracted from request context, Invalid value for: body

404

An entity in this request could not be found

500

Internal failure during request processing

PATCH /v1/queues/{queueId}/members

Tags 5 endpoints

GET /v1/tags

List all tags in an organization.

operationId: Tags_list

Responses

200

The list of tags in an organization

400

Invalid value extracted from request context

500

Internal failure during request processing

GET /v1/tags
POST /v1/tags

Create a tag.

operationId: Tags_createTag

Request Body

required

The tag details

application/json
schema CreateTagInput
Property Type Required
name string required
color string optional

Responses

200

The created tag or an existing tag with the same name. Note that the tag is not updated to match the input in case it already exists.

400

Invalid value extracted from request context, Invalid value for: body

500

Internal failure during request processing

POST /v1/tags
GET /v1/tags/{tagId}

Get a tag by id.

operationId: Tags_getById

Parameters

Name In Required Type Description
tagId path required string

Responses

200

The tag

400

Invalid value for: path parameter tagId, Invalid value extracted from request context

404

An entity in this request could not be found

500

Internal failure during request processing

GET /v1/tags/{tagId}
PATCH /v1/tags/{tagId}/activate

Activate a tag.

operationId: Tags_activateTag

Parameters

Name In Required Type Description
tagId path required string

The tag id

Responses

204

The tag was successfully activated

400

Invalid value for: path parameter tagId, Invalid value extracted from request context

404

An entity in this request could not be found

500

Internal failure during request processing

PATCH /v1/tags/{tagId}/activate
PATCH /v1/tags/{tagId}/deactivate

Deactivate a tag.

operationId: Tags_deactivateTag

Parameters

Name In Required Type Description
tagId path required string

The tag id

Responses

204

The tag was successfully deactivated

400

Invalid value for: path parameter tagId, Invalid value extracted from request context

404

An entity in this request could not be found

500

Internal failure during request processing

PATCH /v1/tags/{tagId}/deactivate

Teams 8 endpoints

GET /v1/teams

Lists all teams in an organization.

operationId: Teams_listAll

Responses

200

The list of teams in an organization

400

Invalid value extracted from request context

500

Internal failure during request processing

GET /v1/teams
POST /v1/teams

Create a team.

operationId: Teams_createTeam

Request Body

required

The team name

application/json
schema CreateTeamInput
Property Type Required
name string required

Responses

201

The created team

400

Invalid value extracted from request context, Invalid value for: body

500

Internal failure during request processing

POST /v1/teams
DELETE /v1/teams/{teamId}

Delete a team.

operationId: Teams_removeTeam

Parameters

Name In Required Type Description
teamId path required string

The team id

Responses

204

The team was successfully deleted

400

Invalid value for: path parameter teamId, Invalid value extracted from request context

500

Internal failure during request processing

DELETE /v1/teams/{teamId}
GET /v1/teams/{teamId}

Get a team by id.

operationId: Teams_getById

Parameters

Name In Required Type Description
teamId path required string

The team id

Responses

200

The team

400

Invalid value for: path parameter teamId, Invalid value extracted from request context

404

An entity in this request could not be found

GET /v1/teams/{teamId}
DELETE /v1/teams/{teamId}/agents

Remove agents/admins from a team.

operationId: Teams_removeMembers

Parameters

Name In Required Type Description
teamId path required string

The team id

Request Body

required

List of agent/admin ids to remove from the specified team

application/json
schema DeleteAgentsFromTeamInput
Property Type Required
agentIds array optional

Responses

204

The agents/admins were successfully removed from the team

400

Invalid value for: path parameter teamId, Invalid value extracted from request context, Invalid value for: body

500

Internal failure during request processing

DELETE /v1/teams/{teamId}/agents
GET /v1/teams/{teamId}/agents

Lists all agents/admins in a team.

operationId: Teams_listMembers

Parameters

Name In Required Type Description
teamId path required string

The team id

Responses

200

List of agents/admins in the specified team

400

Invalid value for: path parameter teamId, Invalid value extracted from request context

500

Internal failure during request processing

GET /v1/teams/{teamId}/agents
PATCH /v1/teams/{teamId}/agents

Add agents/admins to a team.

operationId: Teams_addMembers

Parameters

Name In Required Type Description
teamId path required string

The team id

Request Body

required

List of agent/admin ids to add to the specified team

application/json
schema AgentsToTeamInput
Property Type Required
agentIds array optional

Responses

200
400

Invalid value for: path parameter teamId, Invalid value extracted from request context, Invalid value for: body

500

Internal failure during request processing

PATCH /v1/teams/{teamId}/agents
GET /v1/teams/{teamId}/presence

List the presence status of all agents/admins in a team.

operationId: Teams_listPresenceStatus

Parameters

Name In Required Type Description
teamId path required string

The team id

pageLimit query optional integer

Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

pageKey query optional string

Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

Responses

200

List of agents/admins presence status in the specified team

400

Invalid value for: path parameter teamId, Invalid value extracted from request context, Invalid value for: query parameter pageLimit, Invalid value for: query parameter pageKey

404

An entity in this request could not be found

500

Internal failure during request processing

GET /v1/teams/{teamId}/presence

Webhooks 7 endpoints

GET /v1/webhooks

List of all Webhook Subscriptions in an organization.

operationId: Webhooks_listSubscriptions

Responses

200

The List of Webhook Subscriptions

400

Invalid value extracted from request context

500

Internal Server Error

GET /v1/webhooks
POST /v1/webhooks

Create a Webhook Subscription.

operationId: Webhooks_createSubscription

Request Body

required

The Webhook Subscription to be created

application/json
schema CreateWebhookSubscriptionInput
Property Type Required
url string required
name string required
events array optional
enabled boolean optional
authorization object required

Responses

201

The created Webhook Subscription

400

Invalid value extracted from request context, Invalid value for: body, Validation failure during Webhook Subscription creation

500

Internal Server Error

POST /v1/webhooks
DELETE /v1/webhooks/{webhookSubscriptionId}

Delete a Webhook Subscription.

operationId: Webhooks_deleteSubscription

Parameters

Name In Required Type Description
webhookSubscriptionId path required string

Responses

204

The Webhook Subscription was successfully deleted

400

Invalid value for: path parameter webhookSubscriptionId, Invalid value extracted from request context

404

An entity in this request could not be found

500

Internal failure during request processing

DELETE /v1/webhooks/{webhookSubscriptionId}
GET /v1/webhooks/{webhookSubscriptionId}

Get a Webhook Subscription by ID.

operationId: Webhooks_getSubscriptionById

Parameters

Name In Required Type Description
webhookSubscriptionId path required string

Responses

200

The Webhook Subscription

400

Invalid value for: path parameter webhookSubscriptionId, Invalid value extracted from request context

404

An entity in this request could not be found

500

Internal Server Error

GET /v1/webhooks/{webhookSubscriptionId}
PATCH /v1/webhooks/{webhookSubscriptionId}

Patch a Webhook Subscription.

operationId: Webhooks_updateSubscription

Parameters

Name In Required Type Description
webhookSubscriptionId path required string

Request Body

required

The Webhook Subscription fields to be patched

application/json
schema PatchWebhookSubscriptionInput
Property Type Required
url string optional
name string optional
events array optional
enabled boolean optional
authorization object optional

Responses

200

The patched Webhook Subscription

400

Invalid value for: path parameter webhookSubscriptionId, Invalid value extracted from request context, Invalid value for: body, Validation failure during Webhook Subscription patching

500

Internal Server Error

PATCH /v1/webhooks/{webhookSubscriptionId}
GET /v1/webhooks/{webhookSubscriptionId}/delivery-status

Get the latest delivery statuses of a Webhook Subscription.

operationId: Webhooks_getDeliveryStatus

Parameters

Name In Required Type Description
webhookSubscriptionId path required string

Responses

200

The Latest Delivery Statuses of a Webhook Subscription

400

Invalid value for: path parameter webhookSubscriptionId, Invalid value extracted from request context

404

An entity in this request could not be found

500

Internal Server Error

GET /v1/webhooks/{webhookSubscriptionId}/delivery-status
GET /v1/webhooks/{webhookSubscriptionId}/delivery-status/logs/{event}

Get the latest Webhook Subscription Event logs.

operationId: Webhooks_getDeliveryStatusLogs

Parameters

Name In Required Type Description
webhookSubscriptionId path required string
event path required string

Responses

200

The Webhook Subscription Event Logs

400

Invalid value for: path parameter webhookSubscriptionId, Invalid value extracted from request context

404

An entity in this request could not be found

500

Internal Server Error

GET /v1/webhooks/{webhookSubscriptionId}/delivery-status/logs/{event}